#import bevy_pbr::mesh_vertex_output MeshVertexOutput

struct BatMaterial {
    color: vec4<f32>,
    tile: f32,
    time: f32,
};

@group(1) @binding(0)
var<uniform> material: BatMaterial;
@group(1) @binding(1)
var base_color_texture: texture_2d<f32>;
@group(1) @binding(2)
var base_color_sampler: sampler;

@fragment
fn fragment(
    mesh: MeshVertexOutput
) -> @location(0) vec4<f32> {
    return textureSample(base_color_texture, base_color_sampler, mesh.uv);
}